<template>
    <div>
          <div id="Loading">
            <div class="loading"></div>
            <p id="process" class="loading-process">12%</p>
            <div class="loading-text"></div>
        </div>
    </div>
</template>

<script>
export default {
    data(){
        return {
           PRO_ARR:["18%","28%","56%","89%","100%"] 
        }
    },
    methods:{
        

    },
    mounted(){
       let index = 0
        var pro_timer = setInterval(() => {
            index ++
            if(index < 5){
                document.getElementById('process').innerHTML = this.PRO_ARR[index]
            }else{
                this.$router.replace('/first')
                clearInterval(pro_timer)
            }
        }, 500);

        

    }
}
</script>

<style scoped>
    #Loading{
    width: 100%; 
    height: 100%;
    background: url('/static/img/bg.png') center;
    background-size: cover; 
    /* display: flex;
    flex-direction: column;
    align-items: center; */
    box-sizing: border-box;
    overflow: hidden;
    position: absolute;
    top: 0;
    left: 0;
    margin: 0 auto;
  }

  .loading{
    width: 270px; 
    height: 275px;
    background: url('/static/img/loading/loading.png') no-repeat;
    background-size: 100% auto; 
    animation: myrotate1 3s infinite linear;
    margin: 35% auto 0;
  }

  .loading-process{
    text-align: center;
    color: white;
    font-size: 60px;
    font-weight: 800;
    text-shadow: 0 0 6px #ffffff;
    margin-top: -185px;

  }
  .loading-text{
    margin: 0 auto;
    width: 130px; 
    height: 260px;
    background: url('/static/img/loading/loadingtext.png') no-repeat;
    background-size: 100% auto; 
  }

 

   /* 旋转 */
   @-webkit-keyframes myrotate1{
    100%{transform:rotate(360deg);}
    }
    @keyframes myrotate1{
    100%{transform:rotate(360deg);}
    }

</style>
